Bug 463609 - [LTC 6.0 FEAT] 201185:Iconv character Conversion Routines Speedup.
[LTC 6.0 FEAT] 201185:Iconv character Conversion Routines Speedup.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: glibc (Show other bugs)
6.0
s390x All
high Severity high
: alpha
: 6.0
Assigned To: Andreas Schwab
Petr Muller
: FutureFeature, Reopened
Depends On:
Blocks: 356741 554559
  Show dependency treegraph
 
Reported: 2008-09-23 23:20 EDT by IBM Bug Proxy
Modified: 2016-11-24 07:04 EST (History)
9 users (show)

See Also:
Fixed In Version: glibc-2.10.90-26
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 15:28:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description IBM Bug Proxy 2008-09-23 23:20:36 EDT
=Comment: #0=================================================
Emily J. Ratliff <emilyr@us.ibm.com> - 2008-09-16 18:07 EDT
1. Feature Overview:
Feature Id:	[201185]
a. Name of Feature:	Iconv character Conversion Routines Speedup.
b. Feature Description
Make use of the translate hw instruction to speedup character conversion routines in glibc.

2. Feature Details:
Sponsor:	zSeries
Architectures:
s390x

Arch Specificity: Purely Arch Specific Code
Affects Toolchain: Yes
Delivery Mechanism: Direct from community
Category:	Toolchain
Request Type:	Toolchain - Enhancement from IBM
d. Upstream Acceptance:	In Progress
Sponsor Priority	1
f. Severity: High
IBM Confidential:	no
Code Contribution:	IBM code
g. Component Version Target:	glibc 2.8
Performance Assistance:	yes

3. Business Case
Improved performance (approx. 15x) in character conversion routines by exploiting HW instruction
rather than doing it in SW. Character conversion routines are repeatedly used in System z
application during conversion between EBCDIC and ASCII character sets since the character set of
data stored in a database often differ from the character set used for files and system routines.

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Hans-Georg Markgraf, mgrf@de.ibm.com, Boeblingen 49-7031-16-3978

Technical contact(s):
Gonzalo Muelas Serrano, gmuelas@de.ibm.com

IBM Manager:
Thomas Schwarz, t.schwarz@de.ibm.com
Comment 1 Ulrich Drepper 2008-09-23 23:43:38 EDT
We can add such a functionality once IBM has provided an appropriate patch and it is accepted upstream.
Comment 2 Ulrich Drepper 2008-09-23 23:45:37 EDT
BZ somehow automatically closed the bug...
Comment 3 IBM Bug Proxy 2008-09-24 03:51:07 EDT
Hello Red Hat,

yes, IBM will provide a patch as soon as coding is complete and it will be
submited for upstream acceptance.

Thank you,
Gonzalo Muelas.
Comment 4 IBM Bug Proxy 2009-03-02 07:21:41 EST
The code for this feature is submitted for glibc 2.10.
glibc 2.10 is part of Fedora 11.

Expect this to come via upstream glibc 2.10

No code attach to feature BZ
Comment 5 IBM Bug Proxy 2009-09-22 09:20:25 EDT
------- Comment From mgrf@de.ibm.com 2009-09-22 09:12 EDT-------
This is accepted upstream with glibc 2.11
No code to attach -  Red Hat takes patch from upstream
Comment 6 releng-rhel@redhat.com 2009-11-04 08:28:51 EST
Fixed in 'glibc-2.10.90-26', included in compose 'RHEL6.0-20091103.0'.
Moving to ON_QA.
Comment 8 IBM Bug Proxy 2010-05-11 11:01:57 EDT
------- Comment From mgrf@de.ibm.com 2010-05-11 10:55 EDT-------
This feature is verified on R6 betas
-> set to verified
Comment 9 releng-rhel@redhat.com 2010-11-10 15:28:51 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.